Microsoft.Build.Utilities 2.0.0.0 System.MarshalByRefObject Microsoft.Build.Framework.ITaskItem

objects do not exactly correspond to item elements in project files. If they did, then tasks would have access to data that was not explicitly passed into the task through the project file. This is not a security issue, but rather an issue with project file clarity and transparency.

This class has to be sealed since the build engine instantiates its own copy of this type. If a third party were to extend this class, then the build engine will yield an undesired behavior.

Defines a single item of the project as it is passed into a task.

- Constructor

  This constructor enables this type to be COM-creatable.

  Initializes a new instance of the class.

  2.0.0.0
- Constructor
  To be added.

  Initializes a new instance of the class using the specified source .

  The item to copy.
  2.0.0.0
- Constructor
  To be added.

  Initializes a new instance of the class using the specified item-specification string.

  The item specification.
  2.0.0.0
- Constructor
  To be added.

  Initializes a new instance of the class using the specified item-specification string and its metadata.

  The item specification.
  The custom metadata for the item specification.
  2.0.0.0
- Method
  System.Collections.IDictionary

  This method does not include built-in metadata.

  Clones the collection of custom metadata for the item specification.

  An that represents a clone of the custom metadata.

  2.0.0.0
- Method
  System.Void ``

  If the metadata already exists on the destination item, then it is not overwritten. The original metadata value supersedes the copied metadata value.

  This method does not copy the item specification to the destination task item.

  Copies the item-specification metadata to the specified destination task item.

  The item that this method will copy metadata to. 2.0.0.0
- Method
  System.String `` To be added.

  Retrieves the specified metadata on the item.

  A that represents the metadata value.

  The name of the metadata to retrieve. 2.0.0.0
- Method
  2.0.0.0
  System.Object

  Otherwise, a limited lease of 5 minutes will result; and task instances can expire if they take a long time to process.

  When overridden in a derived class, gives task items infinite lease time.

  null to specify an infinite lifetime.

- Property
  System.String To be added.

  The for the following item declaration in a project file is File.cs.

  `<ItemGroup> <Compile Include="File.cs"/> </ItemGroup>`

  Gets or sets the item specification.

  2.0.0.0
- Property
  System.Int32 To be added. To be added.

  Gets the number of metadata set on the item.

  2.0.0.0
- Property
  System.Collections.ICollection To be added. To be added.

  Gets the names of all the metadata on the item.

  2.0.0.0
- Method
  System.String `` To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  System.Void `` To be added.

  Removes the specified metadata on the item.

  The name of metadata to remove. 2.0.0.0
- Method
  System.Void `` `` To be added.

  Sets or modifies the value of the specified metadata on the item.

  The name of metadata to set or modify. The new value of metadata. 2.0.0.0
- Method
  2.0.0.0
  System.String To be added.

  Gets the item specification.

  A that represents the item specification.